package orm

var (
	Get map[string]GetFn = map[string]GetFn{
		// Teacher
		"/teachers":             GetTeachersAll,
		"/teachers/{id}":        GetTeacherAll,
		"/teachers/{id}/update": GetTeacher,
		"/teachers/add/":        GetNothing,

		"/api/teachers":             GetTeachersAll,
		"/api/teachers/{id}":        GetTeacherAll,
		"/api/teachers/{id}/update": GetTeacher,
		"/api/teachers/add/":        GetNothing,

		// Classes
		"/classes":             GetClassesAll,
		"/classes/{id}":        GetClassAll,
		"/classes/{id}/update": GetClassForUpdate,
		"/classes/add/":        GetClassForAdd,

		"/api/classes":             GetClassesAll,
		"/api/classes/{id}":        GetClassAll,
		"/api/classes/{id}/update": GetClassForUpdate,
		"/api/classes/add/":        GetClassForAdd,

		// Subjects
		"/subjects":             GetSubjectsAll,
		"/subjects/{id}":        GetSubjectAll,
		"/subjects/{id}/update": GetSubjectForUpdate,
		"/subjects/add/":        GetSubjectForAdd,

		"/api/subjects":             GetSubjectsAll,
		"/api/subjects/{id}":        GetSubjectAll,
		"/api/subjects/{id}/update": GetSubjectForUpdate,
		"/api/subjects/add/":        GetSubjectForAdd,

		// Activity
		"/activities":             GetActivitiesAll,
		"/activities/{id}":        GetActivityAll,
		"/activities/{id}/update": GetActivityForUpdate,
		"/activities/add/":        GetActivityForAdd,

		"/api/activities":             GetActivitiesAll,
		"/api/activities/{id}":        GetActivityAll,
		"/api/activities/{id}/update": GetActivityForUpdate,
		"/api/activities/add/":        GetActivityForAdd,
	}

	Post map[string]PostFn = map[string]PostFn{
		// Teacher
		"/teachers/{id}/update": UpdateTeacher,
		"/teachers/{id}/delete": DeleteTeacher,
		"/teachers/add/":        AddTeacher,

		"/api/teachers/add":         AddTeacher,
		"/api/teachers/{id}/update": UpdateTeacher,
		"/api/teachers/{id}/delete": DeleteTeacher,
		"/api/teachers/add/":        AddTeacher,

		// Classes
		"/classes/{id}/update": UpdateClass,
		"/classes/{id}/delete": DeleteClass,
		"/classes/add/":        AddClass,

		"/api/classes/{id}/update": UpdateClass,
		"/api/classes/{id}/delete": DeleteClass,
		"/api/classes/add/":        AddClass,

		// Subjects
		"/subjects/{id}/update": UpdateSubject,
		"/subjects/{id}/delete": DeleteSubject,
		"/subjects/add/":        AddSubject,

		"/api/subjects/{id}/update": UpdateSubject,
		"/api/subjects/{id}/delete": DeleteSubject,
		"/api/subjects/add/":        AddSubject,

		// Activity
		"/activities/{id}/update": UpdateActivity,
		"/activities/{id}/delete": DeleteActivity,
		"/activities/add/":        AddActivity,

		"/api/activities/{id}/update": UpdateActivity,
		"/api/activities/{id}/delete": DeleteActivity,
		"/api/activities/add/":        AddActivity,
	}
)
